VERSION 5.00
Begin VB.Form DirectSound 
   BackColor       =   &H000000FF&
   ClientHeight    =   2790
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7410
   ClipControls    =   0   'False
   BeginProperty Font 
      Name            =   "Courier New"
      Size            =   12
      Charset         =   204
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H00000000&
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   ScaleHeight     =   186
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   494
   StartUpPosition =   2  'CenterScreen
End
Attribute VB_Name = "DirectSound"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim DS As DirectSound8
Dim DSB As IDirectSoundBuffer8

Private Sub Form_Activate()
    If Not DS Is Nothing Then Exit Sub
    
    Set DS = New DirectSound8
    DS.Initialize ByVal 0
    
    If DS Is Nothing Then
        MsgBox "  DirectSound8!", vbCritical
        End
    End If
    
    DS.SetCooperativeLevel hWnd, DSSCL_NORMAL
    
    Dim WF As WAVEFORMATEX
    WF.wFormatTag = 1 ' WAVE_FORMAT_PCM
    WF.nChannels = 2
    WF.nSamplesPerSec = 22050
    WF.nBlockAlign = 2
    WF.nAvgBytesPerSec = 44100
    WF.wBitsPerSample = 8
    
    Dim DSBD As DSBUFFERDESC
    DSBD.dwSize = Len(DSBD)
    DSBD.dwBufferBytes = 1024
    DSBD.dwFlags = DSBCAPS_CTRLVOLUME Or DSBCAPS_CTRLPAN Or DSBCAPS_CTRLFREQUENCY
    DSBD.lpwfxFormat = VarPtr(WF)
    
    
    DS.CreateSoundBuffer DSBD, DSB, ByVal 0
    MsgBox "   !", vbExclamation
    End

End Sub

Private Sub ClearAll()
  DSB.Stop
  Set DSB = Nothing
  Set DS = Nothing
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
  ClearAll
End Sub
